ExtractedDatabaseMetaData.SQLStateType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine.jdbc.spi
Enum ExtractedDatabaseMetaData.SQLStateType

    java.lang.Object
      java.lang.Enum<ExtractedDatabaseMetaData.SQLStateType>
          org.hibernate.engine.jdbc.spi.ExtractedDatabaseMetaData.SQLStateType

All Implemented Interfaces:
  Serializable, Comparable<ExtractedDatabaseMetaData.SQLStateType>

Enclosing interface:
  ExtractedDatabaseMetaData

    public static enum ExtractedDatabaseMetaData.SQLStateType

extends Enum<ExtractedDatabaseMetaData.SQLStateType>

Enum Constant Summary
`SQL99`
`UNKOWN`
`XOpen`

Method Summary
`static ExtractedDatabaseMetaData.SQLStateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExtractedDatabaseMetaData.SQLStateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XOpen

    public static final ExtractedDatabaseMetaData.SQLStateType XOpen

### SQL99

    public static final ExtractedDatabaseMetaData.SQLStateType SQL99

### UNKOWN

    public static final ExtractedDatabaseMetaData.SQLStateType UNKOWN

Method Detail

### values

    public static ExtractedDatabaseMetaData.SQLStateType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExtractedDatabaseMetaData.SQLStateType c : ExtractedDatabaseMetaData.SQLStateType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExtractedDatabaseMetaData.SQLStateType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.